Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cryptopro
Class GOST3410ParamSetParameters

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.cryptopro.GOST3410ParamSetParameters

All Implemented Interfaces:
  DEREncodable

public class GOST3410ParamSetParameters
extends ASN1Encodable

Constructor Summary
`GOST3410ParamSetParameters(ASN1Sequence seq)`
`GOST3410ParamSetParameters(int keySize, java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger a)`

Method Summary
`java.math.BigInteger` | `getA()`
`static GOST3410ParamSetParameters` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static GOST3410ParamSetParameters` | `getInstance(java.lang.Object obj)`
`int` | `getLKeySize()`
`java.math.BigInteger` | `getP()`
`java.math.BigInteger` | `getQ()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410ParamSetParameters

    public GOST3410ParamSetParameters(int keySize,
                                      java.math.BigInteger p,
                                      java.math.BigInteger q,
                                      java.math.BigInteger a)

### GOST3410ParamSetParameters

    public GOST3410ParamSetParameters(ASN1Sequence seq)

Method Detail

### getInstance

    public static GOST3410ParamSetParameters getInstance(ASN1TaggedObject obj,
                                                         boolean explicit)

### getInstance

    public static GOST3410ParamSetParameters getInstance(java.lang.Object obj)

### getLKeySize

    public int getLKeySize()

### getP

    public java.math.BigInteger getP()

### getQ

    public java.math.BigInteger getQ()

### getA

    public java.math.BigInteger getA()

### toASN1Object

    public DERObject toASN1Object()

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD